Index: c/src/lib/libbsp/i386/i386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -70,6 +70,6 @@
 libbsp_a_LIBADD += network.rel
 endif
-libbsp_a_LIBADD += ../../../libcpu/i386/cache.rel \
-    ../../../libcpu/i386/score.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/score.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -142,6 +142,7 @@
 libbsp_a_LIBADD += ne2000.rel wd8003.rel 3c509.rel
 endif
-libbsp_a_LIBADD += ../../../libcpu/i386/cache.rel \
-    ../../../libcpu/i386/page.rel ../../../libcpu/i386/score.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/page.rel \
+    ../../../libcpu/@RTEMS_CPU@/score.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/i386/ts_386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -79,6 +79,6 @@
 libbsp_a_LIBADD += network.rel
 endif
-libbsp_a_LIBADD += ../../../libcpu/i386/cache.rel \
-    ../../../libcpu/i386/score.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/score.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/mips/genmongoosev/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -60,8 +60,8 @@
 libbsp_a_SOURCES =
 libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
-    ../../../libcpu/mips/shared/interrupts.rel \
-    ../../../libcpu/mips/mongoosev/duart.rel \
-    ../../../libcpu/mips/mongoosev/vectorisrs.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/shared/interrupts.rel \
+    ../../../libcpu/@RTEMS_CPU@/mongoosev/duart.rel \
+    ../../../libcpu/@RTEMS_CPU@/mongoosev/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -57,7 +57,7 @@
 libbsp_a_SOURCES =
 libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
-    ../../../libcpu/mips/shared/interrupts.rel \
-    ../../../libcpu/mips/tx39/vectorisrs.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/shared/interrupts.rel \
+    ../../../libcpu/@RTEMS_CPU@/tx39/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/mips/p4000/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/mips/p4000/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -49,9 +49,9 @@
 libbsp_a_SOURCES =
 libbsp_a_LIBADD = startup.rel console.rel liblnk.rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
-    ../../../libcpu/mips/shared/interrupts.rel \
-    ../../../libcpu/mips/r46xx/clock.rel \
-    ../../../libcpu/mips/r46xx/timer.rel \
-    ../../../libcpu/mips/r46xx/vectorisrs.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/shared/interrupts.rel \
+    ../../../libcpu/@RTEMS_CPU@/r46xx/clock.rel \
+    ../../../libcpu/@RTEMS_CPU@/r46xx/timer.rel \
+    ../../../libcpu/@RTEMS_CPU@/r46xx/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/powerpc/mbx8xx/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -79,13 +79,13 @@
 endif
 
-libbsp_a_LIBADD += ../../../libcpu/powerpc/shared/cpuIdent.rel \
-    ../../../libcpu/powerpc/shared/cache.rel \
-    ../../../libcpu/powerpc/@exceptions@/rtems-cpu.rel \
-    ../../../libcpu/powerpc/mpc8xx/clock.rel \
-    ../../../libcpu/powerpc/mpc8xx/console-generic.rel \
-    ../../../libcpu/powerpc/mpc8xx/cpm.rel \
-    ../../../libcpu/powerpc/mpc8xx/mmu.rel \
-    ../../../libcpu/powerpc/mpc8xx/timer.rel \
-    ../../../libcpu/powerpc/mpc8xx/exceptions.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/shared/cpuIdent.rel \
+    ../../../libcpu/@RTEMS_CPU@/shared/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/@exceptions@/rtems-cpu.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/clock.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/console-generic.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/cpm.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/mmu.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/timer.rel \
+    ../../../libcpu/@RTEMS_CPU@/mpc8xx/exceptions.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/sparc/erc32/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -74,6 +74,7 @@
 endif
 
-libbsp_a_LIBADD += ../../../libcpu/sparc/cache.rel \
-    ../../../libcpu/sparc/reg_win.rel ../../../libcpu/sparc/syscall.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/reg_win.rel \
+    ../../../libcpu/@RTEMS_CPU@/syscall.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/sparc/leon/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon/Makefile.am	(revision 693c35e227614d356c9bc31d4d180990093593d1)
+++ c/src/lib/libbsp/sparc/leon/Makefile.am	(revision 0e4507bff3b71d464e94ae99eb0ac58a9e5d322d)
@@ -78,6 +78,7 @@
 endif
 
-libbsp_a_LIBADD += ../../../libcpu/sparc/cache.rel \
-    ../../../libcpu/sparc/reg_win.rel ../../../libcpu/sparc/syscall.rel
+libbsp_a_LIBADD += ../../../libcpu/@RTEMS_CPU@/cache.rel \
+    ../../../libcpu/@RTEMS_CPU@/reg_win.rel \
+    ../../../libcpu/@RTEMS_CPU@/syscall.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
